## libircclient-qt 0.5.0

=== Makefile ===
#############################################################################
# Makefile for building: libircclient-qt.so.0.5.0
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Oct 9 16:03:32 2010
# Project:  libircclient-qt.pro
# Template: lib
# Command: /usr/bin/qmake -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = @echo compiling $< && gcc
CXX           = @echo compiling $< && g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DBUILD_IRC -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DIRC_SHARED -DIRC_NO_DEPRECATED -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include -Iinclude -Irelease
LINK          = @echo linking $@ && g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared -Wl,-soname,libircclient-qt.so.0
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtNetwork -L/usr/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = release/

####### Files

SOURCES       = src/irc.cpp \
		src/ircbuffer.cpp \
		src/ircdccsession.cpp \
		src/ircsession.cpp \
		src/ircutil.cpp release/moc_irc.cpp \
		release/moc_ircdccsession.cpp
OBJECTS       = release/irc.o \
		release/ircbuffer.o \
		release/ircdccsession.o \
		release/ircsession.o \
		release/ircutil.o \
		release/moc_irc.o \
		release/moc_ircdccsession.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/silent.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		libircclient-qt.pro
QMAKE_TARGET  = ircclient-qt
DESTDIR       = lib/
TARGET        = libircclient-qt.so.0.5.0
TARGETA       = lib/libircclient-qt.a
TARGETD       = libircclient-qt.so.0.5.0
TARGET0       = libircclient-qt.so
TARGET1       = libircclient-qt.so.0
TARGET2       = libircclient-qt.so.0.5

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  lib/$(TARGET)

lib/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) lib/ || $(MKDIR) lib/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) lib/$(TARGET)
	-$(DEL_FILE) lib/$(TARGET0)
	-$(DEL_FILE) lib/$(TARGET1)
	-$(DEL_FILE) lib/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) lib/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: libircclient-qt.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/silent.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/silent.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro

dist: 
	@$(CHK_DIR_EXISTS) release/ircclient-qt0.5.0 || $(MKDIR) release/ircclient-qt0.5.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) release/ircclient-qt0.5.0/ && $(COPY_FILE) --parents include/irc.h include/ircbuffer.h include/ircdccsession.h include/ircglobal.h include/ircsession.h include/ircutil.h include/ircbuffer_p.h include/ircsession_p.h release/ircclient-qt0.5.0/ && $(COPY_FILE) --parents src/irc.cpp src/ircbuffer.cpp src/ircdccsession.cpp src/ircsession.cpp src/ircutil.cpp release/ircclient-qt0.5.0/ && (cd `dirname release/ircclient-qt0.5.0` && $(TAR) ircclient-qt0.5.0.tar ircclient-qt0.5.0 && $(COMPRESS) ircclient-qt0.5.0.tar) && $(MOVE) `dirname release/ircclient-qt0.5.0`/ircclient-qt0.5.0.tar.gz . && $(DEL_FILE) -r release/ircclient-qt0.5.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) lib/$(TARGET) 
	-$(DEL_FILE) lib/$(TARGET0) lib/$(TARGET1) lib/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: release/moc_irc.cpp release/moc_ircbuffer.cpp release/moc_ircdccsession.cpp release/moc_ircsession.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) release/moc_irc.cpp release/moc_ircbuffer.cpp release/moc_ircdccsession.cpp release/moc_ircsession.cpp
release/moc_irc.cpp: include/ircglobal.h \
		include/irc.h
	@echo moc include/irc.h && /usr/bin/moc $(DEFINES) $(INCPATH) include/irc.h -o release/moc_irc.cpp

release/moc_ircbuffer.cpp: include/ircglobal.h \
		include/ircbuffer.h
	@echo moc include/ircbuffer.h && /usr/bin/moc $(DEFINES) $(INCPATH) include/ircbuffer.h -o release/moc_ircbuffer.cpp

release/moc_ircdccsession.cpp: include/ircglobal.h \
		include/ircdccsession.h
	@echo moc include/ircdccsession.h && /usr/bin/moc $(DEFINES) $(INCPATH) include/ircdccsession.h -o release/moc_ircdccsession.cpp

release/moc_ircsession.cpp: include/ircglobal.h \
		include/ircsession.h
	@echo moc include/ircsession.h && /usr/bin/moc $(DEFINES) $(INCPATH) include/ircsession.h -o release/moc_ircsession.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

release/irc.o: src/irc.cpp include/irc.h \
		include/ircglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/irc.o src/irc.cpp

release/ircbuffer.o: src/ircbuffer.cpp include/ircbuffer.h \
		include/ircglobal.h \
		include/ircbuffer_p.h \
		include/ircsession.h \
		include/ircsession_p.h \
		release/moc_ircbuffer.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/ircbuffer.o src/ircbuffer.cpp

release/ircdccsession.o: src/ircdccsession.cpp include/ircdccsession.h \
		include/ircglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/ircdccsession.o src/ircdccsession.cpp

release/ircsession.o: src/ircsession.cpp include/ircsession.h \
		include/ircglobal.h \
		include/ircsession_p.h \
		include/ircbuffer.h \
		include/ircbuffer_p.h \
		include/ircutil.h \
		include/irc.h \
		release/moc_ircsession.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/ircsession.o src/ircsession.cpp

release/ircutil.o: src/ircutil.cpp include/ircutil.h \
		include/irc.h \
		include/ircglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/ircutil.o src/ircutil.cpp

release/moc_irc.o: release/moc_irc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_irc.o release/moc_irc.cpp

release/moc_ircdccsession.o: release/moc_ircdccsession.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_ircdccsession.o release/moc_ircdccsession.cpp

####### Install

install_mkspecs: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/


uninstall_mkspecs:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 


install_headers: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/ircclient-qt/ 
	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
	-$(INSTALL_FILE) include/ircdccsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
	-$(INSTALL_FILE) include/ircglobal.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
	-$(INSTALL_FILE) include/ircsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/

## libircclient-qt 0.5.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Oct 9 16:03:32 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 16:07:52 2010
 # Project:  libircclient-qt.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
@@ -297,4 +297,3 @@
 	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
 	-$(INSTALL_FILE) include/ircdccsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
 	-$(INSTALL_FILE) include/ircglobal.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/

## libircclient-qt 0.5.0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 16:07:52 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 18:12:54 2010
 # Project:  libircclient-qt.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
@@ -280,20 +280,17 @@
 ####### Install
 
 install_mkspecs: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
-	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
-	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
 
 
 uninstall_mkspecs:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
-	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
+	 -$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
+	-$(DEL_DIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
 
 
 install_headers: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/ircclient-qt/ 
-	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircdccsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircglobal.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ 
+	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/

## libircclient-qt 0.5.0.5

=== Makefile ===
--- 
+++ 
@@ -280,17 +280,18 @@
 ####### Install
 
 install_mkspecs: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
-	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
-	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
 
 
 uninstall_mkspecs:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
-	 -$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
-	-$(DEL_DIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
+	 -$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
+	-$(DEL_DIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
 
 
 install_headers: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ 
-	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ 
+	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/

## libircclient-qt 0.5.0.8-1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 18:12:54 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Oct 13 22:25:46 2010
 # Project:  libircclient-qt.pro
 # Template: lib
-# Command: /usr/bin/qmake -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
+# Command: /usr/bin/qmake -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -153,7 +153,7 @@
 		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl
-	$(QMAKE) -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
+	$(QMAKE) -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
@@ -178,7 +178,7 @@
 /usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
+	@$(QMAKE) -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) release/ircclient-qt0.5.0 || $(MKDIR) release/ircclient-qt0.5.0 
@@ -280,18 +280,21 @@
 ####### Install
 
 install_mkspecs: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
-	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
-	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
+	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
+	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
 
 
 uninstall_mkspecs:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
-	 -$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
-	-$(DEL_DIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
+	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
 
 
 install_headers: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ 
-	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/ircclient-qt/ 
+	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircdccsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircglobal.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/

=== debian/changelog ===
libircclient-qt (0.5.0.8-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Felipe Crochik <libircclient-qt@crochik.com>  Thu, 14 Oct 2010 07:44:47 -0400

## libircclient-qt 0.5.0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Oct 13 22:25:46 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 28 13:21:38 2010
 # Project:  libircclient-qt.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro

=== debian/changelog ===
libircclient-qt (0.5.0.9) unstable; urgency=low

  * ????

 -- Felipe Crochik <libircclient-qt@crochik.com>  Thu, 28 Oct 2010 13:27:07 -0400

=== debian/control ===
Source: libircclient-qt
Section: libs
Priority: optional
Maintainer: Felipe Crochik <communi@crochik.com>
XSBC-Original-Maintainer: J-P Nurmi <jpnurmi@gmail.com>
XSBC-Bugtracker: mailto:libircclient-qt@crochik.com
Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: libircclient-qt
Architecture: any
Depends: libqt4-gui, libqt4-network
Description: A library to access IRC
 A library to enable Qt applications to
 access and use IRC.
 .
 Further Information: 
 http://bitbucket.org/jpnurmi/libircclient-qt
 Bug tracker: http://bitbucket.org/jpnurmi/libircclient-qt/issues
 IRC channel: #communi on irc.freenode.net

Package: libircclient-qt-dev
Architecture: any
Depends: libqt4-gui, libqt4-network, libircclient-qt
Description: A library to access IRC
 A library to enable Qt applications to
 access and use IRC.
 .
 Further Information: 
 http://bitbucket.org/jpnurmi/libircclient-qt
 Bug tracker: http://bitbucket.org/jpnurmi/libircclient-qt/issues
 IRC channel: #communi on irc.freenode.net

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libircclient-qt.sgml > libircclient-qt.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libircclient-qt.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
	# ------- enable to create packages?
	dh_install --sourcedir=debian/tmp --autodest
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	# -----  enable to generate shlibs
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
